Bug 975644 - can't edit OS version Alias
can't edit OS version Alias
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
develop
Unspecified Unspecified
medium Severity medium (vote)
: 0.14
: ---
Assigned To: Amit Saha
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 22:31 EDT by wangjing
Modified: 2015-07-26 18:15 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 23:23:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wangjing 2013-06-18 22:31:19 EDT
Description of problem:
can't edit OS version Alias

Version-Release number of selected component (if applicable):
beaker-devel on Version - 0.13.0

How reproducible:
always

Steps to Reproduce:
1. Admin->OS Versions.
2. click one OS Major to open the page to edit Alias.
3. save changes.

Actual results:
can't edit OS version Alias

Expected results:
Alias could be edited.

Additional info:
Comment 1 Dan Callaghan 2013-06-19 01:16:24 EDT
(In reply to wangjing from comment #0)
> Actual results:
> can't edit OS version Alias

More specifically, Beaker shows a flash message: "Invalid OSMajor ID None".
Comment 2 Amit Saha 2013-06-20 22:15:00 EDT
On gerrit: http://gerrit.beaker-project.org/#/c/2048/1
Comment 4 wangjing 2013-07-15 05:45:49 EDT
verified on beaker-devel Version - 0.13.2(20130715)-->pass
steps:
1. Admin->OS Versions.
2. click one OS Major to open the page to edit Alias.
3. save changes.

results:
Alias could be edited.
Comment 5 Dan Callaghan 2013-08-08 23:23:59 EDT
Beaker 0.14.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.